# Clutter::BehaviourDepth Class Reference

Inherits Clutter::Behaviour.

Collaboration diagram for Clutter::BehaviourDepth:
[legend]

List of all members.

## Public Member Functions

virtual | ~BehaviourDepth ()
ClutterBehaviourDepth* | gobj ()
| Provides access to the underlying C GObject.
const ClutterBehaviourDepth* | gobj () const
| Provides access to the underlying C GObject.
ClutterBehaviourDepth* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_bounds (int depth_start, int depth_end)
| Sets the boundaries of the behaviour.
void | get_bounds (int& depth_start, int& depth_end)
| Gets the boundaries of the behaviour.
Glib::PropertyProxy< int > | property_depth_end ()
| Final depth to apply.
Glib::PropertyProxy_ReadOnly< int > | property_depth_end () const
| Final depth to apply.
Glib::PropertyProxy< int > | property_depth_start ()
| Initial depth to apply.
Glib::PropertyProxy_ReadOnly< int > | property_depth_start () const
| Initial depth to apply.

## Static Public Member Functions

static Glib::RefPtr < BehaviourDepth > | create (const Glib::RefPtr< Alpha >& alpha, int start_depth, int end_depth)

## Protected Member Functions

| BehaviourDepth (const Glib::RefPtr< Alpha >& alpha, int depth_start, int depth_end)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Clutter::BehaviourDepth > | wrap (ClutterBehaviourDepth* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::BehaviourDepth::~BehaviourDepth | ( |  | ) | `[virtual]`

Clutter::BehaviourDepth::BehaviourDepth | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | int | depth_start,
|  | int | depth_end |
| ) |  |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<BehaviourDepth> Clutter::BehaviourDepth::create | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | int | start_depth,
|  | int | end_depth |
| ) |  |  | `[static]`

void Clutter::BehaviourDepth::get_bounds | ( | int & | depth_start,
|  | int & | depth_end |
| ) |  |  |

Gets the boundaries of the behaviour.

Since cluttermm 0.6:

Parameters:

  | depth_start | Return location for the initial depth value, or `0`.
  | depth_end | Return location for the final depth value, or `0`.

ClutterBehaviourDepth* Clutter::BehaviourDepth::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Behaviour.

const ClutterBehaviourDepth* Clutter::BehaviourDepth::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Behaviour.

ClutterBehaviourDepth* Clutter::BehaviourDepth::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::Behaviour.

Glib::PropertyProxy_ReadOnly<int> Clutter::BehaviourDepth::property_depth_end | ( |  | ) | const

Final depth to apply.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Clutter::BehaviourDepth::property_depth_end | ( |  | ) |

Final depth to apply.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Clutter::BehaviourDepth::property_depth_start | ( |  | ) |

Initial depth to apply.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Clutter::BehaviourDepth::property_depth_start | ( |  | ) | const

Initial depth to apply.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::BehaviourDepth::set_bounds | ( | int | depth_start,
|  | int | depth_end |
| ) |  |  |

Sets the boundaries of the behaviour.

Since cluttermm 0.6:

Parameters:

  | depth_start | Initial value of the depth.
  | depth_end | Final value of the depth.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::BehaviourDepth > wrap | ( | ClutterBehaviourDepth * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/behaviour-depth.h